<?php
if (!defined('IN_COPPERMINE')) die('Not in Coppermine...');

// Add a filter
$thisplugin->add_filter('file_data','imglnk_add_data');


function imglnk_add_data($pic_data){ //$pic_data
	global $CONFIG;
	
	//you can grab intermediate and thumb URL to just comment out what you need and add the var below
	
	// this is the fullsize image url
	$fullsize_url = get_pic_url($pic_data); 
	
	// this is the thumbnail URL 
	// Edited out as not needed in standard
	$thumb_url = get_pic_url($pic_data, 'thumb'); 
	
	// this is the intermediate picture
	$normal_url = get_pic_url($pic_data, 'normal'); 
	
	//
	// start check for small images (if no intermediate created)
	// if intermediate pic exists, show it
	if (file_exists($normal_url)) { 
		
		$pic_data['html'] = $pic_data['html'].'<div align="center"><form name="links"><br /><b>To post this image in forums, please click and copy the code below:</b></form></div>'; 
		
		$pic_data['html'] = $pic_data['html'].'<div align="center"><form name="links"><br /><b>Thumbnail</b><br /><br /><input name="normal" class="textinput" value="[IMG]'.$CONFIG['ecards_more_pic_target'].$thumb_url.'[/IMG]" size="80" type="text" onClick="javascript:this.form.normal.focus();this.form.normal.select();"><br /></form></div>'; 
	
	$pic_data['html'] = $pic_data['html'].'<div align="center"><form name="links"><br /><b>Medium image size</b><br /><br /><input name="normal" class="textinput" value="[IMG]'.$CONFIG['ecards_more_pic_target'].$normal_url.'[/IMG]" size="80" type="text" onClick="javascript:this.form.normal.focus();this.form.normal.select();"><br /></form></div>';
	
	 // if the image was too small for intermediate picture to have been created, show original full url
	
		$pic_data['html'] = $pic_data['html'].'<div align="center"><form name="links"><br /><b>Full size image</b><br /><br /><input name="normal" class="textinput" value="[IMG]'.$CONFIG['ecards_more_pic_target'].$fullsize_url.'[/IMG]" size="80" type="text" onClick="javascript:this.form.normal.focus();this.form.normal.select();"><br /></form></div>';
		
	}
	
	// end check
	//
	
	return $pic_data; //page output
}
?>